List datasets
curl --request GET \
--url https://api.aireserve.com/v1/training/datasets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/training/datasets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/training/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"prefix": "<string>",
"s3Uri": "<string>",
"state": "uploading",
"trainingKey": "<string>",
"trainingBytes": 123,
"validationKey": "<string>",
"validation": {
"examples": 123,
"tokens": 123,
"maxTokensPerExample": 123,
"meanTokensPerExample": 123,
"problems": [
{
"line": 123,
"reason": "<string>"
}
],
"format": "chat-jsonl",
"validatedAt": "<string>"
},
"error": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": null,
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": null,
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": null,
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": null,
"code": "<string>",
"details": {}
}
}Fine-tuning
List datasets
Your organization’s dataset folders in its training bucket and their validation state. Requires compute read access.
GET
/
v1
/
training
/
datasets
List datasets
curl --request GET \
--url https://api.aireserve.com/v1/training/datasets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/training/datasets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/training/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"prefix": "<string>",
"s3Uri": "<string>",
"state": "uploading",
"trainingKey": "<string>",
"trainingBytes": 123,
"validationKey": "<string>",
"validation": {
"examples": 123,
"tokens": 123,
"maxTokensPerExample": 123,
"meanTokensPerExample": 123,
"problems": [
{
"line": 123,
"reason": "<string>"
}
],
"format": "chat-jsonl",
"validatedAt": "<string>"
},
"error": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": null,
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": null,
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": null,
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": null,
"code": "<string>",
"details": {}
}
}Authorizations
bearerAuthapiKeyAuth
Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).
Response
OK
Show child attributes
Show child attributes